跳到主要內容
API 參考
API 參考

Fish Audio 文字轉語音

使用文字轉語音端點,以在同一回應中接收結果。

01

概覽

使用文字轉語音端點,並從同一回應中讀取結果。

快速入門

  1. 建立 API 金鑰並將其設定為 RUNAPI_API_KEY。
  2. 傳送一個 POST 請求,其主體符合請求結構描述。
  3. 從成功的回應主體中讀取結果。

端點

POST /api/v1/fish_audio/text_to_speech
基礎 URL
https://runapi.ai
API 版本
v1
身分驗證
Authorization: Bearer YOUR_API_TOKEN
02

支援的模型

開啟模型頁面以查看目前的定價、速率限制及商業用途詳情。

03

請求綱要

JSON 請求內文

僅傳送此端點宣告的欄位。

s19 個欄位
bitrate_kbpsinteger
選填

MP3 位元率。WAV 輸出不接受此參數。

允許的值: 64, 128, 192 預設值: 128
modelstring
必填

模型 slug。

output_formatstring
選填

輸出音訊格式。

允許的值: mp3, wav 預設值: mp3
referencesarray
選填

此請求的行內參考音訊樣本。

references[].audiostring
必填

Base64 編碼的原始音訊位元組。

references[].textstring
必填

參考音訊的確切逐字稿。

sample_rate_hzinteger
選填

輸出取樣率。MP3 支援 32000 與 44100 Hz;WAV 支援所有列出的值。

允許的值: 8000, 16000, 24000, 32000, 44100 預設值: 44100
textstring
必填
voice_idstring
選填
s2-pro9 個欄位
bitrate_kbpsinteger
選填

MP3 位元率。WAV 輸出不接受此參數。

允許的值: 64, 128, 192 預設值: 128
modelstring
必填

模型 slug。

output_formatstring
選填

輸出音訊格式。

允許的值: mp3, wav 預設值: mp3
referencesarray
選填

此請求的行內參考音訊樣本。

references[].audiostring
必填

Base64 編碼的原始音訊位元組。

references[].textstring
必填

參考音訊的確切逐字稿。

sample_rate_hzinteger
選填

輸出取樣率。MP3 支援 32000 與 44100 Hz;WAV 支援所有列出的值。

允許的值: 8000, 16000, 24000, 32000, 44100 預設值: 44100
textstring
必填
voice_idstring
選填
s2.1-pro9 個欄位
bitrate_kbpsinteger
選填

MP3 位元率。WAV 輸出不接受此參數。

允許的值: 64, 128, 192 預設值: 128
modelstring
必填

模型 slug。

output_formatstring
選填

輸出音訊格式。

允許的值: mp3, wav 預設值: mp3
referencesarray
選填

此請求的行內參考音訊樣本。

references[].audiostring
必填

Base64 編碼的原始音訊位元組。

references[].textstring
必填

參考音訊的確切逐字稿。

sample_rate_hzinteger
選填

輸出取樣率。MP3 支援 32000 與 44100 Hz;WAV 支援所有列出的值。

允許的值: 8000, 16000, 24000, 32000, 44100 預設值: 44100
textstring
必填
voice_idstring
選填

條件規則

當所有列出的條件均符合時,這些需求即適用。

  1. output_format = wav
    必填
    不接受
    bitrate_kbps
  2. output_format = mp3
    必填
    不接受
  3. output_format = {"present" => false}
    必填
    不接受
04

成功回應

HTTP 200

POST /api/v1/fish_audio/text_to_speech

回應綱要
JSON
{
  "properties": {
    "audios": {
      "items": {
        "properties": {
          "format": {
            "type": "string"
          },
          "mime_type": {
            "type": "string"
          },
          "size_bytes": {
            "type": "integer"
          },
          "url": {
            "type": "string",
            "x-runapi-generated-media": true
          }
        },
        "required": [
          "url",
          "format",
          "mime_type",
          "size_bytes"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    },
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "completed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "audios",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

回應範例

JSON
{
  "audios": [
    {
      "format": "mp3",
      "mime_type": "audio/mpeg",
      "size_bytes": 128,
      "url": "https://file.runapi.ai/reference-audio.mp3"
    }
  ],
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "completed"
}
05

錯誤

HTTP 401

POST /api/v1/fish_audio/text_to_speech

回應綱要
JSON
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

回應範例

JSON
{
  "error": "Authentication required"
}
06

錯誤

HTTP 400

POST /api/v1/fish_audio/text_to_speech

回應綱要
JSON
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "人類可讀的錯誤訊息。",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "人類可讀的驗證摘要。",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "以公開請求欄位為索引鍵的驗證訊息,每個欄位包含一組人類可讀的字串陣列。",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}

回應範例

JSON
{
  "error": "model must be one of: s1, s2-pro, s2.1-pro"
}
07

錯誤

HTTP 402

POST /api/v1/fish_audio/text_to_speech

回應綱要
JSON
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

回應範例

JSON
{
  "error": "Insufficient balance"
}
08

錯誤

HTTP 429

POST /api/v1/fish_audio/text_to_speech

回應綱要
JSON
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

回應範例

JSON
{
  "error": "API key credit limit exceeded"
}
09

錯誤

HTTP 409

POST /api/v1/fish_audio/text_to_speech

回應綱要
JSON
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

回應範例

JSON
{
  "error": "The request uses features that are not supported for the selected model"
}
10

錯誤

HTTP 429

POST /api/v1/fish_audio/text_to_speech

回應綱要
JSON
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

回應範例

JSON
{
  "error": "Rate limit reached. Please retry later."
}
11

錯誤

HTTP 503

POST /api/v1/fish_audio/text_to_speech

回應綱要
JSON
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

回應範例

JSON
{
  "error": "Service under maintenance, please try again later"
}
12

錯誤

HTTP 504

POST /api/v1/fish_audio/text_to_speech

回應綱要
JSON
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

回應範例

JSON
{
  "error": "The request timed out"
}
13

產生的程式碼範例

直接使用 cURL,或為您的程式語言安裝 SDK。每個範例均會提交本參考中所示的已驗證請求。

安裝

Shell
pip install runapi-fish-audio
PYTHON
import os
from runapi.fish_audio import FishAudioClient

client = FishAudioClient(api_key=os.environ["RUNAPI_API_KEY"])
result = client.text_to_speech.run(
  model="s1",
  text="Welcome to RunAPI."
)